import Div2 from './inner/div2.vue'
import ivyStore from './ivyStore'

export default async function showDiv(Component, compProps = {}) {
  if (!window.modals) {
    window.modals = []
  }
  for (let i = 0; i < 5; i++) {
    if (!window.modals[i]) {
      let div = document.createElement('div');
      document.body.appendChild(div);
      let {Vue, router} = ivyStore.objects
      let wrapper = new Vue({
        router,
        el: div,
        render: h => h(Div2)
      })
      window.modals[i] = wrapper.$children[0]
    }
    if (!window.modals[i].visible) {
      return await window.modals[i].show(Component, compProps)
    }
  }
  alert('同时弹框数量太多，请检查bug')
}

export function closeAll() {
  for (let m of (window.modals || [])) {
    if (m.visible) {
      m.close()
    }
  }
}
